Name:           atlascpp
Version:        0.6.0
Release:        3%{?dist}
Summary:        WorldForge message protocol library

Group:          Development/Libraries
License:        LGPL
URL:            http://worldforge.org/dev/eng/libraries/atlas_cpp 
Source0:        http://dl.sourceforge.net/sourceforge/worldforge/Atlas-C++-%{version}.tar.gz
Patch0:         atlascpp-0.6.0-linkdeps.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen zlib-devel bzip2-devel
Requires:       skstream
# Provide the other name that this package is commonly known by
Provides:       Atlas-C++


%description
Atlas-C++ is the perhaps the most important library in the entire WorldForge
project, since nearly every other module requires it. Atlas-C++ provides a
native implementation of the entire Atlas specification including negotiation,
message encode and decode and the overlying Objects layer.


%package devel
Summary:        Development files for Atlas-C++
Group:   Development/Libraries
Requires: pkgconfig %{name} = %{version}-%{release}


%description devel
Libraries and header files for developing applications that use Atlas-C++

%prep
%setup -q -n Atlas-C++-%{version}
%patch0 -p1


%build
%configure

# simple hack to remove -Werror from the test suite, which causes
# it to fail.
sed -i -e 's#-Werror##' benchmark/Makefile
sed -i -e 's#-Werror##' tests/Objects/Makefile

make %{?_smp_mflags}
make docs


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libAtlas*-0.6.la

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -p -m 0644 doc/man/man3/Atlas*.3 $RPM_BUILD_ROOT%{_mandir}/man3/

%check
make check


%clean
#rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README ROADMAP THANKS TODO
%{_libdir}/libAtlas*-0.6.so.*


%files devel
%defattr(-,root,root,-)
%doc HACKING doc/html/
%{_bindir}/atlas_convert
%{_includedir}/Atlas-C++-0.6
%{_libdir}/libAtlas*-0.6.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/Atlas*

%changelog
* Sun Aug 27 2006 Wart <wart at kobold.org> 0.6.0-3
- Rebuild for FC-6

* Fri Jul 14 2006 Wart <wart at kobold.org> 0.6.0-2
- Add missing Requires: pkgconfig to -devel subpackage
- Include man pages
- Update license to match actual license (LGPL, not GPL)
- Added patch to fix interlibrary dependencies
- Change name to atlascpp to prevent confusion with the existing atlas package

* Wed Jun 14 2006 Wart <wart at kobold.org> 0.6.0-1
- Initial spec file for Fedora Extras
